Subject: Re: Droid 4 regression in 5.5-rc1, armsoc-soc tree

From: Tony Lindgren <[email-masked]>
Date: Thu, 2 Jan 2020 09:11:40 -0800

* Arnd Bergmann <[email-masked]> [200102 14:48]:
> On Thu, Jan 2, 2020 at 3:06 PM Pavel Machek <[email-masked]> wrote:
> 
> > # good: [ab818f0999dc73af3f966194d087e9f6650f939f] Merge tag
> > # 'omap-for-v5.5/maintainers-signed' of
> > # git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap into
> > # arm/soc
> > git bisect good ab818f0999dc73af3f966194d087e9f6650f939f
> > # first bad commit: [38206c24ab09b4f4c2a57de5c1af0bb2e69cf5b6] Merge tag
> > # 'armsoc-soc' of git://git.kernel.org/pub/scm/linux/kernel/git/soc/soc
> >
> > ...and am not sure how to interpret the result, or what to do next :(.
> 
> This means that either the bisection is unreliable (it might be 100%
> reproducible or you mixed up good/bad once), or that the arm-soc
> branch was indeed good by itself but had a conflict with some other
> change that torvalds merged earlier.
> 
> I would suggest to go back to the list I had extracted in my previous
> email and revert all the commits that I identify there, on top of
> linux-5.5-rc4. If some commit is not easily reverted, skip that one
> at first.
> 
> Ideally this gets you a working kernel based on -rc4, and then
> you can bisect that to find which revert fixed it.

Also please check your dtb is up to date. We still have a lot of
stuff missing from the device tree meaning an old dtb will likely
be incomplete for many devices.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel